package com.qima.gift.appcommon.system.bean;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/19 10:14
 */
@ConfigurationProperties(prefix = "app.system")
@Component
@Data
public class AppSystemProperties {

    private String name;
    private String company;
    private String superAdmin;
    private String superPassword;

}
