package com.qima.gift.common.page;

import com.qima.gift.common.CommonConst;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 分页对象，既用来表示参数，也用来表示结果
 * @author King
 * @since 2023/6/8 18:08
 */
public class Page<T> {

    private Integer pageNum = CommonConst.INT_0;
    private Integer pageSize = CommonConst.INT_20;
    private Integer total;
    private List<T> datas;

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public List<T> getDatas() {
        return datas;
    }

    public void setDatas(List<T> datas) {
        this.datas = datas;
    }
}
