package com.qima.gift.mall.bean;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/9 10:39
 */
@Data
public class MallShowDTO {

    private String id;
    private String name;
    private String topicImage;
    private String topicColor;
    private String des;
    private String merchantId;
    private String merchantName;
    private String showContact;
    private String showPhone;
    private String creater;
    @JsonFormat(pattern = "M月dd")
    private Date gmtPublish;
    private Integer state;
    private String ext1;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;
    private String sysId;
    private List<MallCategoryDTO> category = Lists.newArrayList();
    private List<MallShowGoodsDTO> goods = Lists.newArrayList();
}
