package com.qima.gift.common.utils;

import org.springframework.context.ApplicationContext;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/5 18:08
 */
public class SpringContextUtils {

    private static ApplicationContext applicationContext;

    public static <T>  T getBean(Class<T> clazz) {
        T bean = applicationContext.getBean(clazz);
        return bean;
    }

    public static <T>  T getBean(String beanName, Class<T> clazz) {
        T bean = applicationContext.getBean(beanName, clazz);
        return bean;
    }

    public static void setAc(ApplicationContext a){
        applicationContext = a;
    }

}
