package com.qima.gift.mall.bean;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qima.gift.common.utils.JsonUtils;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/10 14:09
 */
@Data
public class MallShowGoodsDTO {

    private String categoryId;
    private String goodsId;
    private String id;

    private String categoryName;
    private String name;
    private String topicImage;
    private List<String> desImages;
    private String price;
    private String des;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;
    private String sysId;

    public static void main(String[] args) {
        System.out.println(JsonUtils.toJson(new MallShowGoodsDTO()));
    }

}
